none
엑세스(2010 32bit) 프로젝트에서 SQL Server(2014 express) 테이블 작성시 버전 오류 문제 RRS feed

  • 질문

  • 안녕하세요 

    윈도우 7(64bit)에서 오피스 2010(32bit), SQL Server 2014 Express를 사용하고 있습니다.

    다름이 아니고 엑세스 프로젝트에서 SQL Server를 연결하고 테이블을 작성하려고 하는데 아래와 같은 문구가 나오며 편집이 안되고 있습니다.

    --------------------------------------------------------------------------------------------------------------------------------------------------

    Microsoft Access가 지원하지 않는 SQL Server 버전에 연결되었습니다. 이 서버에서 작업하는 동안 문제가 발생할 수 있습니다.

    연결된 SQL Server 버전을 지원하도록 Visual Studio 또는 Office에 적용할 서비스 팩이 있는지 Microsoft에 문의하십시오.

    작업을 계속할 수 있지만 새 개체 형식이 열거되지 않을 수 있으며 Visual Database Tools를 사용하여 만든 개체 또는 데이터베이스 다이어그램을 저장할 수 없습니다.

    --------------------------------------------------------------------------------------------------------------------------------------------------

    오피스 2010 서비스 팩은 설치가 안되어 있는 상태입니다.

    혹시 조치방안이 있으면 답변 부탁드리겠습니다.

    감사합니다.

    2014년 8월 22일 금요일 오전 7:10

답변

  • 안녕하세요.

    제가 액세스에 대해서 잘 알지는 못하지만, 다음과 ADP에 대해서 같이 내용을 확인할 수 있습니다.

    Access 2010의 ADP 파일은 SQL Server 2008이나 그 이전 버전과 호환됩니다.

    SQL Server의 개체를 수정하기위해서는 Access의 버전이 SQL 버전보다 높아야 한다고 합니다.

    따라서 원하시는 작업을 진행하시려면 SQL Server 2008 express를 설치하면 될 듯 싶습니다.

    아래 URL에서 Compatibility between Access and SQL Server versions 부분을 참고하시면 될 것 같습니다.

    http://office.microsoft.com/en-us/access-help/create-an-access-project-HA010341589.aspx

    Younggun Kim
    MCDBA, MCITP
    Consultant @ Database Division in SQLRoad
    http://www.sqlroad.com  http://www.sqlserver.co.kr
    ygkim@sqlroad.com



    2014년 8월 23일 토요일 오후 2:46